//disabling context menu

document.onkeydown = function (e) {

    if (e.ctrlKey &&

        (e.keyCode === 67 ||

            e.keyCode === 86 ||

            e.keyCode === 85 ||

            e.keyCode === 117)) {

        return false;

    } else {

        return true;

    }

};

$(document).keypress("u", function (e) {

    if (e.ctrlKey) {

        return false;

    }

    else {

        return true;

    }

});

document.addEventListener("contextmenu", function (e) {

    e.preventDefault();

}, false);

// $('#small .item').click(function() {
//     $('#bigImage img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small .item").removeClass("active");
//     } else {
//         $("#small .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small1 .item').click(function() {
//     $('#bigImage1 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small1 .item").removeClass("active");
//     } else {
//         $("#small1 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small2 .item').click(function() {
//     $('#bigImage2 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small2 .item").removeClass("active");
//     } else {
//         $("#small2 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });

// $('#small3 .item').click(function() {
//     $('#bigImage3 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small3 .item").removeClass("active");
//     } else {
//         $("#small3 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });

// $('#small4 .item').click(function() {
//     $('#bigImage4 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small4 .item").removeClass("active");
//     } else {
//         $("#small4 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });

// $('#small5 .item').click(function() {
//     $('#bigImage5 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small5 .item").removeClass("active");
//     } else {
//         $("#small5 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });

// $('#small6 .item').click(function() {
//     $('#bigImage6 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small6 .item").removeClass("active");
//     } else {
//         $("#small6 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small7 .item').click(function() {
//     $('#bigImage7 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small7 .item").removeClass("active");
//     } else {
//         $("#small7 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small8 .item').click(function() {
//     $('#bigImage8 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small8 .item").removeClass("active");
//     } else {
//         $("#small8 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small9 .item').click(function() {
//     $('#bigImage9 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small9 .item").removeClass("active");
//     } else {
//         $("#small9 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small10 .item').click(function() {
//     $('#bigImage10 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small10 .item").removeClass("active");
//     } else {
//         $("#small10 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small11 .item').click(function() {
//     $('#bigImage11 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small11 .item").removeClass("active");
//     } else {
//         $("#small11 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small12 .item').click(function() {
//     $('#bigImage12 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small12 .item").removeClass("active");
//     } else {
//         $("#small12 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small13 .item').click(function() {
//     $('#bigImage13 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small13 .item").removeClass("active");
//     } else {
//         $("#small13 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small14 .item').click(function() {
//     $('#bigImage14 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small14 .item").removeClass("active");
//     } else {
//         $("#small14 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small15 .item').click(function() {
//     $('#bigImage15 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small15 .item").removeClass("active");
//     } else {
//         $("#small15 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });
// $('#small16 .item').click(function() {
//     $('#bigImage16 img').attr('src', $(this).attr('src').replace('thumb', 'large'));
//     if ($(this).hasClass("active")) {
//         $("#small16 .item").removeClass("active");
//     } else {
//         $("#small16 .item").removeClass("active");
//         $(this).addClass("active");
//     }
// });

function stickyHeader() {
    if ($('.header').length) {
        var strickyScrollPos = 100;
        if ($(window).scrollTop() > strickyScrollPos) {
            $('.header').addClass('stricky-fixed');
        } else if ($(this).scrollTop() <= strickyScrollPos) {
            $('.header').removeClass('stricky-fixed');
        }
    };
}

jQuery(window).on('scroll', function () {
    (function ($) {
        stickyHeader();
    })(jQuery);
});

if ($(".navigation").length) {
    $(".navigation .navbar button").on("click", function () {
        $(".navigation .menu").slideToggle();
        $(this).toggleClass('open');
        return false;
    });
    $(".navigation .cs-submenu").children("a").append(function () {
        return '<button class="dropdown-expander"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z"/></svg></button>';
    });

}

if (document.documentElement.clientWidth < 1023) {
    $(".navigation .menu .dropdown-expander").on("click", function () {
        $(this).parent().parent().children(".cs-dropdown").slideToggle();
        console.log($(this).parents("li"));
        console.log($(this).parents().children(".dropdown-expander").toggleClass("rotated"));
        return false
    })
    $(document).click(function (e) {
        if (!$(e.target).closest('.navigation .navbar button').length) {
            $('.navigation .menu').stop(true).slideUp();
            $(".navigation .navbar button").removeClass('open');

        }
    });
}

var homeSlider = $("#slider");
homeSlider.owlCarousel({
    loop: true,
    margin: 0,
    navSpeed: 1000,
    nav: true,
    autoplayTimeout:6000,
    smartSpeed: 1000,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: true,
    dots: false,
    // animateOut: "fadeOut",
    items: 1,
    responsiveClass: true,
    responsive: {
        0: {
            nav: false
        },
        600: {
            nav: false
        },
        1024: {},
        1100: {}
    }
});


var featuredProducts = $("#featuredProducts");
featuredProducts.owlCarousel({
    loop: true,
    margin: 10,
    navSpeed: 500,
    nav: true,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: false,
    dots: false,
    items: 3,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        600: {
            items: 1,
        },
        768: {
            items: 2
        },
        1024: {
            items: 3
        },
        1100: {
            items: 3
        }
    }
});


var ourProducts = $("#ourProducts");
ourProducts.owlCarousel({
    loop: false,
    rewind: true,
    margin: 20,
    navSpeed: 500,
    nav: false,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: true,
    dots: true,
    items: 4,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        600: {
            items: 1,
        },
        768: {
            items: 2
        },
        1024: {
            items: 3
        },
        1100: {
            items: 3
        }
    }
});

var testimonials = $("#testimonials");
testimonials.owlCarousel({
    loop: true,
    margin: 0,
    navSpeed: 500,
    nav: false,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: true,
    dots: true,
    items: 1,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        600: {
            items: 1,
        },
        768: {
            items: 1
        },
        1024: {
            items: 1
        },
        1100: {
            items: 1
        }
    }
});




var clients = $("#clients");
clients.owlCarousel({
    loop: true,
    margin: 15,
    navSpeed: 500,
    nav: false,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: true,
    dots: false,
    items: 4,
    responsiveClass: true,
    responsive: {
        0: {
            items: 2
        },
        600: {
            items: 2,
        },
        1024: {
            items: 4
        },
        1100: {
            items: 4
        }
    }
});


wow = new WOW({
    animateClass: 'animated',
    offset: 100,
    mobile: false
});
wow.init();

$(window).on('scroll', function () {
    if ($(this).scrollTop() > 100) {
        $("#scrollUp").fadeIn();
    } else {
        $("#scrollUp").fadeOut();
    }
});
$("#scrollUp").on('click', function () {
    $("html, body").animate({
        scrollTop: 0
    }, 600);
    return false;
});


$('#thumbs img').click(function () {
    $('#largeImage').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#thumbs img").removeClass("active");
    } else {
        $("#thumbs img").removeClass("active");
        $(this).addClass("active");
    }
});


// ================= Counter ===================

const workSection = document.querySelector(".why_us");

const workSectionObserve = (entries) => {
  const [entry] = entries;
  if (!entry.isIntersecting) return;
  console.log(entries);

  function counter(id, start, end, duration) {
    let obj = document.getElementById(id),
      current = start,
      range = end - start,
      increment = end > start ? 1 : -1,
      step = Math.abs(Math.floor(duration / range)),
      timer = setInterval(() => {
        current += increment;
        obj.textContent = current;
        if (current == end) {
          clearInterval(timer);
        }
      }, step);
  }

  counter("count1", 0, 21, 5000);
  counter("count2", 1950, 2002, 5000);
  counter("count3", 50, 100, 5000);

};

const workSecObserver = new IntersectionObserver(workSectionObserve, {
  root: null,
  threshold: 0,
});
workSecObserver.observe(workSection);